Page MenuHomePhabricator

test-copies: test that copies' sidedata can get computed during push
ClosedPublic

Authored by Alphare on Apr 9 2021, 4:50 AM.

Details

Summary

If the source of the push does not have the necessary sidedata but the server
needs them, the client should compute them on the fly while pushing.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

Alphare created this revision.Apr 9 2021, 4:50 AM
Alphare updated this revision to Diff 26785.Apr 10 2021, 3:15 PM
Alphare updated this revision to Diff 27042.Apr 19 2021, 6:10 AM
marmoute accepted this revision.Apr 22 2021, 1:55 PM
marmoute added a subscriber: marmoute.

Same as D10352 and D10353, I am the author of the initial version of this patch, but @Alphare did the finalisation. So I guess we had two independant pair of eyes looking at this and I going to put a green mark on it.

baymax updated this revision to Diff 27311.May 3 2021, 6:07 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27461.May 3 2021, 9:01 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.